Kaspersky Internet Security 2018 System Requirements

 

Kaspersky Internet Security 2018

 
 
 

Kaspersky Internet Security 2018 System Requirements

Back to "Installation and Removal"
Latest update: 2019 May 14 ID: 13618
 
 
 
 

General requirements:

  • 920 MB of free disk space
  • CD/DVD drive (when installing from a CD)
  • Internet connection (for installation and activation, participation in Kaspersky Secure Network, as well as database and program module updates).
  • Computer mouse
  • Microsoft Internet Explorer 8.0 or later  
  • Microsoft Windows Installer 3.0 or later 
  • Microsoft .Net Framework 4 or later  

Netbook requirements:

  • Intel Atom processor at 1.6 GHz or faster
  • 1024 MB of free RAM
  • Intel GMA950 video card with at least 64 MB of memory
  • Screen resolution of at least 1024×600.

Tablet requirements:

  • Microsoft Windows 8, Microsoft Windows 8.1 or Microsoft Windows 10
  • Intel Celeron processor 1.66 GHz or faster
  • 1000 MB of free RAM

Supported browsers:

  • Microsoft Internet Explorer 8.0 and later
  • Microsoft Edge 38.x and later
  • Mozilla Firefox 52.x  and later
  • Google Chrome 45.x – 55.x
  • Mozilla Firefox ESR 52 and later

Operating systems:

  • Microsoft Windows 7 Starter / Home Basic / Home Premium / Professional / Ultimate SP1 or later (32/64-bit)
  • Microsoft Windows 8 / Pro / Enterprise (32/64-bit)
  • Microsoft Windows 8.1 (Windows 8.1 Update) / Pro / Enterprise (32/64-bit)
  • Microsoft Windows 10 Home / Pro / Enterprise TH1 / TH2 / RS1 / RS2 / RS3 / RS4 / RS5 / RS6 (32/64-bit)   
    • Intel Pentium processor 1 GHz or faster (or a compatible equivalent)
    • 1 GB (for 32-bit operating systems) / 2 GB (for 64-bit operating systems) available RAM
Limitations:
 
 
 
 
Was this information helpful?
Yes No
Thank you
 

 
 

How can we improve this article?

Your feedback will be used for content improvement purposes only. If you need assistance, please contact technical support.

Submit Submit

Thank you for your feedback!

Your suggestions will help improve this article.

OK